import type { Bucket, Clause, ColumnMetadata, Query } from "./types";
export declare function binning(clause: Clause | ColumnMetadata): Bucket | null;
export declare function availableBinningStrategies(query: Query, stageIndex: number, column: ColumnMetadata): Bucket[];
export declare function isBinnable(query: Query, stageIndex: number, column: ColumnMetadata): boolean;
export declare function withBinning(column: ColumnMetadata, binningStrategy: Bucket | null): ColumnMetadata;
export declare function withDefaultBinning(query: Query, stageIndex: number, column: ColumnMetadata): ColumnMetadata;
